package com.fp.armas.portal.dao.registro;

import com.fp.armas.portal.dao.general.GenericDaoImpl;
import com.fp.armas.portal.model.Tgenesequence;
import com.fp.armas.portal.util.RegistroException;

/**
 * Objeto de acceso a datos de la tabla {@link Tgenesequence}
 * @author dcruz
 *
 */
public class SecuenciaDao extends GenericDaoImpl<Tgenesequence> {

	public SecuenciaDao() {
		super(Tgenesequence.class);
	}

	/**
	 * Retorna la secuencia por co&oacute;digo ingresado
	 * @param nombreSecuencia
	 * @return
	 * @throws RegistroException
	 */
	public Tgenesequence obtenerSecuencia(String nombreSecuencia) throws RegistroException{
		Tgenesequence sequence = this.getEntityManager().find(Tgenesequence.class, nombreSecuencia);
		return sequence;
	}
}
